import { defineStore } from 'pinia'

//数组处理



const useTheme = defineStore("Theme", {
  state: () => ({
    theme: false,
    fontcolor:'#fff',
    style:'vertical'
  }),
  actions: {
    toggleFontcolor(){
      if(this.theme){
        this.fontcolor = '#000'
      }else{
        this.fontcolor = '#fff'
      }
    },
    toggleDarkTheme(){
      this.theme = false
    },
    optionConfigData () {
      
    }
  }
})

export default useTheme